/******************************************************************************
* C Include: Extraction List                                                  
*                                                                             
* File:                                                                       
*    extrtlst.h                                                               
*                                                                             
* Description:                                                                
*    Include file for the Extraction List functions.                          
*                                                                             
* History:                                                                    
*    Created    : 15-JUN-93 by J. Doggett,                                    
*       for the Association of Universities for Research in Astronomy, Inc.   
*          at the Space Telescope Science Institute,                          
*       to facilitate the accessing of data from the CD-ROM set of the        
*          Digitized Sky Survey.                                              
*    Delivered  : 01-MAR-94 by J. Doggett,                                    
*       GetImage Version 1.0.                                                 
*                                                                             
*    Updated    : 11-SEP-96 by J. Doggett,                                    
*       Changed prototype for Check_Disc_Extraction_List_Disc to reflect      
*       functions modification.                                               
*    Updated    : 12-SEP-96 by J. Doggett,                                    
*       Added prototype for new function Compare_Disc_Lists_VolumeLabels.     
*    Redelivered: xx-xxx-xx by J. Doggett,                                    
*       GetImage Version 2.0x.                                                
*                                                                             
* Copyright (c) 1993, 1994, 1996, Association of Universities for Research in 
* Astronomy, Inc.  All Rights Reserved.                                       
* Produced under National Aeronautics and Space Administration grant          
* NAG W-2166.                                                                 
******************************************************************************/
#ifndef __EXTRTLST__
#define __EXTRTLST__

#include "extrctn.h"
#include "generic.h"
#include "lnkd_lst.h"

/*************************************
* Extraction List derived data types *
*************************************/
typedef LL      X_LIST ;
typedef LL_NODE XL_NODE;

/****************************************
* Extraction List functions' prototypes *
****************************************/
void   Add_Extraction_to_List         (/* X_LIST      List      ,
					  EXTRACTION  Extraction */);

int    Check_Disc_Extraction_List_Disc(/* X_LIST      List1     ,
					  X_LIST      List2      */);

int    Compare_Disc_Lists_VolumeLabels(/* X_LIST      List1     ,
					  X_LIST      List2      */);

int    Compare_Extraction_Lists       (/* X_LIST      List_1    ,
					  X_LIST      List_2     */);

X_LIST Create_Empty_Extraction_List   (/* void                   */);

void   Delete_Extraction_List         (/* X_LIST      List       */);

void   Delete_Extraction_List_Data    (/* X_LIST      List       */);


/* *** Extraction List Include File ***                                    2 */


BOOL   Extraction_List_Is_Empty       (/* X_LIST      List       */);

#endif
