/* static char sccsid[] = "@(#) ST-ECF getimage/src/syslog.c	4.5	10/16/92"; */
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.TYPE		Module
.NAME		UI_SYSLOG
.LANGUAGE	C
.AUTHOR		B Pirenne [ST-ECF], M Albrecht [ESO]
.COMMENTS	To log statistics on DSS usage.
.VERSION 1.0    17-May-1995 Creation.
------------------------------------------------------------------------*/
#include <stdio.h>

/*
 *  Variables to be initialized and subsequently used
 *  in each module.
 */

char	short_host[61];
char	ip_address[61];
char 	user_name[61];
char	client[61];
int	log_init_done = 0;

int	log_init()
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.PURPOSE Initialize the logging variables.
.RETURNS OK/ NOK
.REMARKS Called when any module is first used.
------------------------------------------------------------------------*/
{
    char	*s, *getenv(), *getlogin();

    /*
     *  Get host and user stuff.
     */

    strcpy( client, (s = getenv("DSS_CLIENT"))? s : "DSS" );

    if( (s = getenv("REMOTE_HOST")) ){
         strcpy( short_host, s );
    } else {
         gethostname( short_host, sizeof(short_host) );
    }

    if( (s = getenv("REMOTE_ADDR")) ){
	 strcpy( ip_address, s );
    } else {
	 ip_address[0] = '\0';
    }

    s = getlogin();
    if ( s )
      strcpy( user_name, s );
    else
      *user_name = (char)0;

    log_init_done = 1;
    return( 1 );
}

log_dss_usage 	(diskname, dataset, pixels)
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.PURPOSE Write the number of pixels retrieved on the disk number for the
          given dataset
.RETURNS OK / NOK.
------------------------------------------------------------------------*/
char	*diskname;	/* IN: CD-ROM number */
char	*dataset;	/* IN: which archive was accessed (typically DSS1) */
long    pixels;	        /* IN: xpix * ypix */
{
	char	url[4096], *p, *s, *getenv(), *strrchr();

	if ( ! log_init_done ) log_init();

        if ( (p=getenv("DSS_LOG")) ) {
	    s = strrchr(diskname, '_')+1;
	    sprintf(url, "%s/%s/%s/%ld/%s/%s/%s/%s",
		   p, user_name, short_host, pixels, client, 
		   s, dataset, ip_address);
	    http_cgi(url);
	}
}

int strloc(str, c)
/*+++++++
.PURPOSE Locate the first occurence of character `c'
.RETURNS Index of `c' in str; length of str if `c' not found.
---------*/
  char *str;	/* IN: string to scan	*/
  char c;	/* IN: char to locate	*/
{
  register char *p;

    for (p=str; *p; p++)
  	if (*p == c)	break;
    return(p-str);
}






